"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applySchemaToLabels = void 0;
const visitAndExtractHtml_1 = require("./visitAndExtractHtml");
const applySchemaToLabels = (composedNarrativeSchema) => () => {
    return function transformer(ast, vFile, next) {
        (0, visitAndExtractHtml_1.visitAndExtractHtml)(ast, vFile, composedNarrativeSchema.labelByName);
        if (typeof next === "function") {
            return next(null, ast, vFile);
        }
    };
};
exports.applySchemaToLabels = applySchemaToLabels;
//# sourceMappingURL=applySchemaToLabels.js.map